Webhooks
Update a webhook
Update webhook URL, events, filters, or active status. Cannot change the secret.
PUT
/api/webhooks/{id}better-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
id*string
Header Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidRequest Body
application/json
curl -X PUT "https://loading/api/webhooks/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"object": "webhook",
"scope": "organization",
"applicationId": "string",
"url": "http://example.com",
"events": [
"string"
],
"packageId": "string",
"payloadMode": "full",
"active": true,
"createdAt": "2019-08-24T14:15:22Z"
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions",
"code": "forbidden",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"code": "not_found",
"requestId": "req_abc123"
}